GET /katello/api/content_view_versions
List content view versions

GET /katello/api/content_views/:content_view_id/content_view_versions
List content view versions

Examples

GET /katello/api/content_views/419082953/content_view_versions
204

Params

Param name Description
content_view_id
optional

Content view identifier

Validations:

  • Must be a number.

environment_id
optional

Filter versions by environment

Validations:

  • Must be a number.

version
optional

Filter versions by version number

Validations:

  • String

composite_version_id
optional

Filter versions that are components in the specified composite version

Validations:

  • Must be a number.

organization_id
optional

Organization identifier

Validations:

  • Must be a number.

include_applied_filters
optional

Whether or not to return filters applied to the content view version

Validations:

  • Must be one of: true, false, 1, 0.

triggered_by_id
optional

Filter composite versions whose publish was triggered by the specified component version

Validations:

  • Must be a number.

file_id
optional

Filter content view versions that contain the file

Validations:

  • Must be a number.

nondefault
optional

Filter out default content views

Validations:

  • Must be one of: true, false, 1, 0.

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. 'id DESC'

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
content_view_id integer
repository string
version string

GET /katello/api/content_view_versions/:id
Show content view version

Examples

GET /katello/api/content_view_versions/234564707
200
{
  "version": "3.0",
  "major": 3,
  "minor": 0,
  "composite_content_view_ids": [],
  "published_in_composite_content_view_ids": [],
  "content_view_id": 419082953,
  "default": false,
  "description": null,
  "id": 234564707,
  "name": "Published Library - dev - staging view 3.0",
  "created_at": "2024-08-26 18:42:13 UTC",
  "updated_at": "2024-08-26 18:42:13 UTC",
  "content_view": {
    "id": 419082953,
    "name": "Published Library - dev - staging view",
    "label": "published_dev_staging_view",
    "generated_for": "none"
  },
  "composite_content_views": [],
  "composite_content_view_versions": [],
  "published_in_composite_content_views": [],
  "environments": [
    {
      "id": 562075838,
      "name": "Library",
      "label": "library_label",
      "publish_date": "10 minutes",
      "permissions": {
        "readable": true,
        "promotable_or_removable": true,
        "all_hosts_editable": true,
        "all_keys_editable": true
      },
      "host_count": 0,
      "activation_key_count": 0
    },
    {
      "id": 292811013,
      "name": "Dev",
      "label": "dev_label",
      "publish_date": "10 minutes",
      "permissions": {
        "readable": true,
        "promotable_or_removable": true,
        "all_hosts_editable": true,
        "all_keys_editable": true
      },
      "host_count": 0,
      "activation_key_count": 1
    },
    {
      "id": 1028819239,
      "name": "Staging",
      "label": "staging_label",
      "publish_date": "10 minutes",
      "permissions": {
        "readable": true,
        "promotable_or_removable": true,
        "all_hosts_editable": true,
        "all_keys_editable": true
      },
      "host_count": 0,
      "activation_key_count": 0
    }
  ],
  "repositories": [],
  "last_event": null,
  "active_history": [],
  "ansible_collection_count": 0,
  "deb_count": 0,
  "docker_manifest_count": 0,
  "docker_manifest_list_count": 0,
  "docker_tag_count": 0,
  "file_count": 0,
  "ostree_ref_count": 0,
  "python_package_count": 0,
  "rpm_count": 0,
  "modulemd_count": 0,
  "erratum_count": 0,
  "package_group_count": 0,
  "srpm_count": 0,
  "module_stream_count": 0,
  "package_count": 0,
  "component_view_count": 0,
  "ansible_collection_repository_count": 0,
  "deb_repository_count": 0,
  "docker_repository_count": 0,
  "file_repository_count": 0,
  "ostree_repository_count": 0,
  "python_repository_count": 0,
  "yum_repository_count": 0,
  "errata_counts": {
    "security": 0,
    "bugfix": 0,
    "enhancement": 0,
    "total": 0
  },
  "permissions": {
    "deletable": true
  },
  "filters_applied": null
}

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.

include_applied_filters
optional

Whether or not to return filters applied to the content view version

Validations:

  • Must be one of: true, false, 1, 0.


POST /katello/api/content_view_versions/:id/promote
Promote a content view version

Examples

POST /katello/api/content_view_versions/234564707/promote
{
  "environment_ids": [
    292811013
  ],
  "content_view_version": {}
}
204

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.

force
optional

force content view promotion and bypass lifecycle environment restriction

Validations:

  • Must be one of: true, false, 1, 0.

environment_ids
optional

Identifiers for Lifecycle Environment

Validations:

  • Must be an array of any type

description
optional

The description for the content view version promotion

Validations:

  • String


PUT /katello/api/content_view_versions/:id
Update a content view version

Examples

PUT /katello/api/content_view_versions/111397700
{
  "description": "New version description.",
  "content_view_version": {}
}
204

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.

description
required

The description for the content view version

Validations:

  • String


PUT /katello/api/content_view_versions/:id/republish_repositories
Forces a republish of the version's repositories' metadata

Examples

PUT /katello/api/content_view_versions/234564707/republish_repositories
{
  "force": true,
  "content_view_version": {}
}
202
[

]

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.

force
optional

Force metadata regeneration to proceed. Dangerous operation when version has repositories with the 'Complete Mirroring' mirroring policy

Validations:

  • Must be one of: true, false, 1, 0.


DELETE /katello/api/content_view_versions/:id
Remove content view version

Examples

POST /katello/api/content_view_versions/234564707
{
  "content_view_version": {}
}
204

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.


POST /katello/api/content_view_versions/incremental_update
Perform an Incremental Update on one or more Content View Versions

Examples

PUT /katello/api/content_view_versions/incremental_update
{
  "content_view_version_environments": [
    {
      "content_view_version_id": 234564707,
      "environment_ids": []
    }
  ],
  "update_hosts": {
    "included": {
      "search": ""
    }
  },
  "add_content": {
    "errata_ids": [
      "100dividedby0"
    ]
  },
  "resolve_dependencies": true,
  "content_view_version": {}
}
202
[

]

Params

Param name Description
content_view_version_environments
optional

Validations:

  • Must be an Array of nested elements

content_view_version_environments[content_view_version_id]
optional

Content View Version Ids to perform an incremental update on. May contain composites as well as one or more components to update.

Validations:

  • Must be a number.

content_view_version_environments[environment_ids]
optional

The list of environments to promote the specified Content View Version to (replacing the older version)

Validations:

  • Must be an array of any type

description
optional

The description for the new generated Content View Versions

Validations:

  • String

resolve_dependencies
optional

If true, when adding the specified errata or packages, any needed dependencies will be copied as well. Defaults to true

Validations:

  • Must be one of: true, false, 1, 0.

propagate_all_composites
optional

If true, will publish a new composite version using any specified content_view_version_id that has been promoted to a lifecycle environment

Validations:

  • Must be one of: true, false, 1, 0.

add_content
optional

Validations:

  • Hash

add_content[errata_ids]
optional

Errata ids to copy into the new versions

Validations:

  • Must be an array of any type

add_content[package_ids]
optional

Package ids to copy into the new versions

Validations:

  • Must be an array of any type

add_content[deb_ids]
optional

Deb Package ids to copy into the new versions

Validations:

  • Must be an array of any type

update_hosts
optional

After generating the incremental update, apply the changes to the specified hosts. Only Errata are supported currently.

Validations:

  • Hash

update_hosts[included]
required

Validations:

  • Hash

update_hosts[included][search]
optional , nil allowed

Search string for host to perform an action on

Validations:

  • String

update_hosts[included][ids]
optional , nil allowed

List of host ids to perform an action on

Validations:

  • Must be an array of any type

update_hosts[excluded]
optional , nil allowed

Validations:

  • Hash

update_hosts[excluded][ids]
optional , nil allowed

List of host ids to exclude and not run an action on

Validations:

  • Must be an array of any type


POST /katello/api/content_view_versions/:id/verify_checksum
Verify checksum of repository contents in the content view version

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.